activemq-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chir...@apache.org
Subject svn commit: r1418698 - in /activemq/trunk: activemq-leveldb-store/pom.xml pom.xml
Date Sat, 08 Dec 2012 16:01:56 GMT
Author: chirino
Date: Sat Dec  8 16:01:55 2012
New Revision: 1418698

URL: http://svn.apache.org/viewvc?rev=1418698&view=rev
Log:
Simplify LevelDB store build, use latest versions of leveldb.

Modified:
    activemq/trunk/activemq-leveldb-store/pom.xml
    activemq/trunk/pom.xml

Modified: activemq/trunk/activemq-leveldb-store/pom.xml
URL: http://svn.apache.org/viewvc/activemq/trunk/activemq-leveldb-store/pom.xml?rev=1418698&r1=1418697&r2=1418698&view=diff
==============================================================================
--- activemq/trunk/activemq-leveldb-store/pom.xml (original)
+++ activemq/trunk/activemq-leveldb-store/pom.xml Sat Dec  8 16:01:55 2012
@@ -61,8 +61,14 @@
 
     <dependency>
       <groupId>org.iq80.leveldb</groupId>
+      <artifactId>leveldb-api</artifactId>
+      <version>${leveldb-version}</version>
+    </dependency>
+
+    <dependency>
+      <groupId>org.iq80.leveldb</groupId>
       <artifactId>leveldb</artifactId>
-      <version>0.2</version>
+      <version>${leveldb-version}</version>
     </dependency>
 
     <dependency>
@@ -354,83 +360,6 @@
           </execution>
         </executions>
       </plugin>
-      <plugin>
-        <groupId>org.fusesource.mvnplugins</groupId>
-        <artifactId>maven-uberize-plugin</artifactId>
-        <version>1.14</version>
-        <executions>
-          <execution>
-            <id>all</id>
-            <phase>package</phase>
-            <goals><goal>uberize</goal></goals>
-          </execution>
-        </executions>
-        <configuration>
-          <uberArtifactAttached>true</uberArtifactAttached>
-          <uberClassifierName>uber</uberClassifierName>
-          <artifactSet>
-            <includes>
-              <include>org.scala-lang:scala-library</include>
-              <include>org.fusesource.hawtdispatch:hawtdispatch</include>
-              <include>org.fusesource.hawtdispatch:hawtdispatch-scala</include>
-              <include>org.fusesource.hawtbuf:hawtbuf</include>
-              <include>org.fusesource.hawtbuf:hawtbuf-proto</include>
-
-              <include>org.iq80.leveldb:leveldb-api</include>
-
-              <!--
-              <include>org.iq80.leveldb:leveldb</include>
-              <include>org.xerial.snappy:snappy-java</include>
-              <include>com.google.guava:guava</include>
-              -->
-              <include>org.xerial.snappy:snappy-java</include>
-
-              <include>org.fusesource.leveldbjni:leveldbjni</include>
-              <include>org.fusesource.leveldbjni:leveldbjni-osx</include>
-              <include>org.fusesource.leveldbjni:leveldbjni-linux32</include>
-              <include>org.fusesource.leveldbjni:leveldbjni-linux64</include>
-              <include>org.fusesource.hawtjni:hawtjni-runtime</include>
-
-              <!-- include bits need to access hdfs as a client -->
-              <include>org.apache.hadoop:hadoop-core</include>
-              <include>commons-configuration:commons-configuration</include>
-              <include>org.codehaus.jackson:jackson-mapper-asl</include>
-              <include>org.codehaus.jackson:jackson-core-asl</include>
-
-            </includes>
-          </artifactSet>
-        </configuration>
-      </plugin>
-      <plugin>
-        <groupId>org.apache.felix</groupId>
-        <artifactId>maven-bundle-plugin</artifactId>
-        <configuration>
-          <classifier>bundle</classifier>
-          <excludeDependencies />
-          <instructions>
-            <Bundle-SymbolicName>${project.groupId}.${project.artifactId}</Bundle-SymbolicName>
-            <Fragment-Host>org.apache.activemq.activemq-core</Fragment-Host>
-            <Export-Package>
-                org.apache.activemq.leveldb*;version=${project.version};-noimport:=;-split-package:=merge-last,
-            </Export-Package>
-            <Embed-Dependency>*;inline=**;artifactId=
-              hawtjni-runtime|hawtbuf|hawtbuf-proto|hawtdispatch|hawtdispatch-scala|scala-library|
-              leveldb-api|leveldbjni|leveldbjni-osx|leveldbjni-linux32|leveldbjni-linux64|
-              hadoop-core|commons-configuration|jackson-mapper-asl|jackson-core-asl|commons-lang</Embed-Dependency>
-            <Embed-Transitive>true</Embed-Transitive>
-            <Import-Package>*;resolution:=optional</Import-Package>
-          </instructions>
-        </configuration>
-        <executions>
-          <execution>
-            <id>bundle</id>
-            <phase>package</phase>
-            <goals>
-              <goal>bundle</goal>
-            </goals>
-          </execution>
-        </executions>
-        </plugin>
     </plugins>
     <pluginManagement>
       <plugins>

Modified: activemq/trunk/pom.xml
URL: http://svn.apache.org/viewvc/activemq/trunk/pom.xml?rev=1418698&r1=1418697&r2=1418698&view=diff
==============================================================================
--- activemq/trunk/pom.xml (original)
+++ activemq/trunk/pom.xml Sat Dec  8 16:01:55 2012
@@ -60,7 +60,7 @@
     <commons-primitives-version>1.0</commons-primitives-version>
     <commons-net-version>3.1</commons-net-version>
     <directory-version>2.0.0-M6</directory-version>
-    <fusemq-leveldb-version>1.3</fusemq-leveldb-version>
+
     <ftpserver-version>1.0.6</ftpserver-version>
     <geronimo-version>1.0</geronimo-version>
     <hadoop-version>1.0.0</hadoop-version>
@@ -83,7 +83,9 @@
     <junit-version>4.10</junit-version>
     <jxta-version>2.0</jxta-version>
     <karaf-version>2.2.9</karaf-version>
-    <leveldbjni-version>1.3</leveldbjni-version>
+    <leveldb-api-version>0.4</leveldb-api-version>
+    <leveldb-version>0.4</leveldb-version>
+    <leveldbjni-version>1.4</leveldbjni-version>    
     <log4j-version>1.2.17</log4j-version>
     <mqtt-client-version>1.4</mqtt-client-version>
     <openjpa-version>1.2.0</openjpa-version>
@@ -1019,12 +1021,6 @@
         <artifactId>standard</artifactId>
         <version>1.1.2</version>
       </dependency>
-      <dependency>
-        <groupId>org.fusesource.fuse-extra</groupId>
-        <artifactId>fusemq-leveldb</artifactId>
-        <version>${fusemq-leveldb-version}</version>
-        <optional>true</optional>
-      </dependency>
 
       <dependency>
         <groupId>org.apache.geronimo.components</groupId>



Mime
View raw message